Bug 1657279 - Backport upstream fix for font scaling
Summary: Backport upstream fix for font scaling
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: qgnomeplatform
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 15:06 UTC by Jan Grulich
Modified: 2019-06-14 01:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1657282 (view as bug list)
Environment:
Last Closed: 2019-06-14 01:27:27 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Grulich 2018-12-07 15:06:13 UTC
Current version of QGnomePlatform applies scaling to fonts twice, resulting into wrong font size. This has been fixed in the new QGnomePlatform release, with some other additions, but these are not relevant for RHEL so backporting just this fix is enough, we don't need to to update to newer version.

Comment 1 Jan Grulich 2018-12-07 15:07:26 UTC
Proposed fix can be found here: https://github.com/FedoraQt/QGnomePlatform/commit/13836791c9546cbcb7dfb960aebb17fe01b07db5

Comment 2 Jan Grulich 2018-12-10 10:59:34 UTC
Fixed with qgnomeplatform-0.4-2.el8.


Note You need to log in before you can comment on or make changes to this bug.